## tp-nagios-plugins 0.4

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# "based" on template Makefile for most debian packages version 0.20~rc1

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
#CATEG=my_sources
CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif

# main
REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/

INCOMINGDIR=incoming-changes
REPOSHOST=root@deb-ppa.calhariz.com
REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)


REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


configure:configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build:configure build-up-stamp
build-up-stamp:
	touch build-up-stamp


install:build install-up-stamp
install-up-stamp:
	[ -d $(LIBDIR)/plugins ] || mkdir -p $(DESTDIR)$(LIBDIR)
	cp nagios-plugins/check_* $(DESTDIR)$(LIBDIR)
	cp nagios-plugins-tp/plugins/check_* $(DESTDIR)$(LIBDIR)
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	#mkdir -p $(REPOSARCH)
	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

## tp-nagios-plugins 0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# "based" on template Makefile for most debian packages version 0.20~rc1
+# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+
+# License: GPL2+ with OpenSSL exception
+
+
+# "based" on template Makefile for most debian packages version 0.24
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -12,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 #CATEG=my_sources
@@ -36,20 +42,11 @@
 ifeq ($(NATIVE),0)
 DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
 DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
-
-# main
-REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/
-
-INCOMINGDIR=incoming-changes
-REPOSHOST=root@deb-ppa.calhariz.com
-REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)
-
-
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
 
 
 all:
@@ -57,27 +54,49 @@
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
-configure:configure-up-stamp
+unpack:unpack-up-stamp
+unpack-up-stamp:
+	#unzip $(ZIPFILE)
+	#unzip $(ZIPFILE) -d $(ZIPDIR)
+	#mkdir untar
+	#tar xzf $(TARFILE) -C untar
+	#Prepare files for patching
+	touch unpack-up-stamp
+
+
+#configure:unpack debian/stamp-patched configure-up-stamp
+configure:unpack configure-up-stamp
 configure-up-stamp:
 	touch configure-up-stamp
 
 
-build:configure build-up-stamp
-build-up-stamp:
-	touch build-up-stamp
+build-arch: configure build-arch-up-stamp
+build-arch-up-stamp:
+	touch build-arch-up-stamp
+
+
+build-indep: configure build-indep-up-stamp
+build-indep-up-stamp:
+	touch build-indep-up-stamp
+
+
+build: build-arch build-indep
 
 
 install:build install-up-stamp
 install-up-stamp:
-	[ -d $(LIBDIR)/plugins ] || mkdir -p $(DESTDIR)$(LIBDIR)
+	[ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
+	[ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
 	cp nagios-plugins/check_* $(DESTDIR)$(LIBDIR)
 	cp nagios-plugins-tp/plugins/check_* $(DESTDIR)$(LIBDIR)
+	cp etc-tp-nagios-plugins/check_* $(DESTDIR)$(ETCDIR)
 	touch install-up-stamp
 
 
 clean:
 	find -name '*~' -exec rm {} \;
-	rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
+	rm -rf $(ZIPDIR) untar build-dir
+	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
 
 
 # Create the files ready for distribution, need to be run in a dir
@@ -122,11 +141,7 @@
 
 # Upload the packages and the distribution files into the rigth places
 upload:	
-	#mkdir -p $(REPOSARCH)
-	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
-	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"
-
+	make -f ../upload upload
 
 # Make tags of the sources as documented by subversion
 tag:

## tp-nagios-plugins 0.13-1

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2014,2017 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.29

include /usr/share/dpkg/pkg-info.mk

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)

VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEB_VERSION),$(DEB_VERSION_UPSTREAM))
NATIVE=1
else
NATIVE=0
endif
MDIST=stretch
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
#CATEG=my_sources
CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(DEB_VERSION_UPSTREAM).tar.gz
TARDIR=untar/$(PACKNAME)-$(DEB_VERSION_UPSTREAM)
ifeq ($(NATIVE),0)
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
#DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).diff.gz
DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).tar.gz
else
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION).tar.xz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(DEB_VERSION_UPSTREAM) $(DEB_VERSION) $(MDIST) $(DEB_DISTRIBUTION) $(PACKNAME) $(DEB_SOURCE) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	[ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
	[ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
	cp nagios-plugins/check_* $(DESTDIR)$(LIBDIR)
	cp nagios-plugins-tp/plugins/check_* $(DESTDIR)$(LIBDIR)
	cp etc-tp-nagios-plugins/check_* $(DESTDIR)$(ETCDIR)
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(DEB_SOURCE)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(DEB_SOURCE)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(DEB_SOURCE) ../$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(DEB_SOURCE) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
else
	# native package
	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(DEB_SOURCE) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add --force \
			$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
			$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
			$(DEB_SOURCE)_$(DEB_VERSION).dsc
	cd .. ; svn add --force *_$(DEB_VERSION)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEB_VERSION)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange -i "New release"'


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-nagios-plugins (0.13-1) stretch; urgency=medium

  * Update debian/rules to version 0.30.
  * Add plugin to check disks on Dell Boss controllers.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:57:15 +0000

tp-nagios-plugins (0.12-1) stretch; urgency=medium

  * Wrong debian version in previous upload, bump upstream version and fix
    debian version.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:55:20 +0000

tp-nagios-plugins (0.11-3) stretch; urgency=medium

  * check_smart: increase devices on megaraid to 70

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 Feb 2020 14:35:22 +0000

tp-nagios-plugins (0.10-2) stretch; urgency=low

  * Update Debian rules and Makefile to use /usr/share/dpkg/pkg-info.mk.
  * Bump debhelper mode to 11, no changes needed.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Sun, 02 Feb 2020 14:19:16 +0000

tp-nagios-plugins (0.10-1) stretch; urgency=low

  * check_smartd: fix a typo that broke on Debian 9 and 10.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Fri, 10 Jan 2020 18:32:20 +0000

tp-nagios-plugins (0.9-1) wheezy; urgency=low

  * check_lsi_array: drop use of sudo for calling storcli.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 15:30:50 +0000

tp-nagios-plugins (0.8-1) wheezy; urgency=low

  * check_smart: modifications to read Health Status from ata and scsi
    disks simultaneous

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 15:06:31 +0000

tp-nagios-plugins (0.7-2) wheezy; urgency=low

  * Set distribution to wheezy.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 24 Feb 2014 16:55:34 +0000

tp-nagios-plugins (0.7-1) UNRELEASED; urgency=low

  * check_iscsi_login: should iscsiadm -m node logout before exit, not
    after.
  * New release

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 24 Feb 2014 16:54:35 +0000

tp-nagios-plugins (0.6-1) wheezy; urgency=low

  * Add configurable plugin check_iscsi_login.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Feb 2014 17:26:42 +0000

tp-nagios-plugins (0.5-2) wheezy; urgency=low

  * Revert package rename.
  * Add depend on sudo.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Feb 2014 20:36:34 +0000

tp-nagios-plugins (0.5-1) wheezy; urgency=low

  * New release: add plugin check_lsi_raid
  * Update Makefile to version 0.24
  * Update debian/rules to version 0.24
  * Update debian/control for DSI.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Feb 2014 19:13:11 +0000

tp-nagios-plugins (0.4-1) squeeze; urgency=low

  * nagios-plugins/check_smartd: check if device exist before running
    smart check.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 31 Oct 2012 20:13:22 +0000

tp-nagios-plugins (0.3-1) squeeze; urgency=low

  * Improve check_smart for using sat interface, i.e. SATA disks.
  * Update makefile to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 31 Oct 2012 18:31:04 +0000

tp-nagios-plugins (0.2-1) updates; urgency=low

  * improved check_smart for testing cciss, megaraid and 3ware drives, old
    version is called check_smart_old
  * added plugin check_smartd that read smartd.conf and checks SMART
    information for all disks.
  * it seams to work on etch

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 28 Jul 2010 19:30:01 +0100

tp-nagios-plugins (0.1-2) updates; urgency=low

  * Install plugins in /usr/lib/tp-nagios-plugins instead
    /usr/lib/tp-nagios-plugins/plugins
  * Architecture changed from any to all

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 16 Jul 2010 11:41:07 +0100

tp-nagios-plugins (0.1-1) updates; urgency=low

  * Preparing a package with important nagios plugins for CIIST-TP

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 10 Jul 2010 19:39:25 +0100

deb-template (0.4-1) unstable; urgency=low

  * use varible to indicate repository directory for dropping the files

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Jun 2009 08:05:50 +0100

deb-template (0.3-1) unstable; urgency=low

  * changes on what files are added to SVN during tagging a new version

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat,  4 Apr 2009 23:25:52 +0100

deb-template (0.2-1) unstable; urgency=low

  * command read wihout a variable is a bashism
  * I don't append the version of software to the base directory
  * tag the makefile with a version, to be easier to check if the
    derivatives are updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 Aug 2008 13:17:40 +0100

deb-template (0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000

=== debian/control ===
Source: tp-nagios-plugins
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.1

Package: tp-nagios-plugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, nagios-plugins-basic, 
 sudo,
Suggests: tw-cli, smartmontools, python (>= 2.3), python-ldap, expect, 
 storcli, 
Description: Plugins for the nagios system that are used in DSI
 Nagios is a host/service/network monitoring and management system.
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central nagios host on DSI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.30

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

#This rule file have a bashism
SHELL:=/bin/bash

# From dpkg-dev
include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Personal Variables
PACKNAME=$(shell dh_listpackages)
PACKAGE=$(shell dh_listpackages)

# Variables used by the Debian Maintainer exclusively for package
# development.
#DEB_SOURCE is replacing SOURCENAME
#SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
#DEB_VERSION is replacing DEBVER
#DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
#DEB_VERSION_UPSTREAM is replacing VER
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEB_VERSION),$(DEB_VERSION_UPSTREAM))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources
ifeq ($(NATIVE),0)
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
#DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).diff.gz
DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).debian.tar.gz
else
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION).tar.xz
DISTFILES=$(DISTFILE)
endif




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-arch-stamp build-indep-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(DEB_SOURCE) ../$(DEB_SOURCE)-$(DEB_VERSION_VERSION)
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(DEB_SOURCE) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
else
	# native package
	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(DEB_SOURCE) | xz -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
endif


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(DEB_VERSION_UPSTREAM) $(DEB_VERSION) $(MDIST) $(DIST) $(PACKNAME) $(DEB_SOURCE)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
	echo $(DEB_SOURCE) $(DEB_VERSION) $(DEB_VERSION_EPOCH_UPSTREAM)
	echo $(DEB_VERSION_UPSTREAM_REVISION) $(DEB_VERSION_UPSTREAM)
	echo $(DEB_DISTRIBUTION) $(SOURCE_DATE_EPOCH)


# Upload the packages and the distribution files into the rigth places
upload: 
	make -f ../upload upload


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(CURDIR)
	cd .. ; svn add $(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
			$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
			$(DEB_SOURCE)_$(DEB_VERSION).dsc
	cd .. ; svn add *_$(DEB_VERSION)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEB_VERSION)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
